# Generated from r-saml-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name r-saml

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: SAML Ruby Tookit
License: MIT
URL: http://github.com/juliancheal/ruby-saml
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.8.7
# BuildRequires: rubygem(minitest) >= 5.5
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(mocha) >= 0.14
# BuildRequires: rubygem(mocha) < 1
# BuildRequires: rubygem(shoulda) >= 2.11
# BuildRequires: rubygem(shoulda) < 3
# BuildRequires: rubygem(simplecov) >= 0.9.0
# BuildRequires: rubygem(simplecov) < 0.10
# BuildRequires: rubygem(systemu) >= 2
# BuildRequires: rubygem(systemu) < 3
# BuildRequires: rubygem(timecop) <= 0.6.0
# BuildRequires: rubygem(pry-byebug)
BuildArch: noarch

%description
SAML toolkit for Ruby on Rails.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/gemfiles
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/changelog.md
%{gem_instdir}/r-saml.gemspec
%{gem_instdir}/test

%changelog
* Wed Apr 20 2022 mockbuilder - 1.0.1-1
- Initial package
